/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-05-26 13:10:36
 * @LastEditors: shimnx
 * @LastEditTime: 2023-03-20 14:48:17
 */
import { AfterViewInit, Component, OnInit, ViewChild } from '@angular/core';
import { BryntumGanttComponent, BryntumProjectModelComponent } from '@bryntum/gantt-angular';
import MyGantt from '../lib/MyGantt.js';
import { CalendarModel, Gantt, ProjectModel } from '@bryntum/gantt/gantt.lite.umd.js';
import ganttConfig from './gantt.config';
@Component({
    selector: 'app-gantt',
    templateUrl: './gantt.component.html'
})


export class GanttComponent implements AfterViewInit, OnInit {
    private gantt!: MyGantt;
    private project!: ProjectModel;
    isShowCommentsOut = false
    ganttConfig = ganttConfig;
    @ViewChild(BryntumGanttComponent, { static: false }) ganttComponent: BryntumGanttComponent;
    @ViewChild('project') projectComponent!: BryntumProjectModelComponent;
    Grouplist= []
    constructor() {
        window['GanttComponent'] = { component: this };
    }
    ngAfterViewInit(): void {
        // Store Gantt and project instances
        this.gantt = this.ganttComponent.instance;
        // this.gantt.project.calendar = (this.gantt.project.calendarManagerStore.getById('general') as CalendarModel);

        this.gantt.project.loadInlineData(
          {
              "eventsData": [
                {
                  "id": "3a0a0187-01d5-3380-c5aa-18c9631e64aa",
                  "parentId": null,
                  "name": "Planisware",
                  "percentDone": 0,
                  "startDate": "2022-05-06",
                  "endDate": "2022-10-01",
                  "schaefflerEndDate": "2022-09-30",
                  "rollUp": true,
                  "duration": 106,
                  "showInTimeline": null,
                  "phantomId": null,
                  "expanded": null,
                  "note": null,
                  "draggable": false,
                  "resizable": false,
                  "constraintDate": "2022-05-06",
                  "constraintType": "startnolaterthan",
                  "durationUnit": "day",
                  "deadLineDate": null,
                  "effort": 0,
                  "effortDriven": null,
                  "effortUnit": "hour",
                  "inactive": null,
                  "manuallyScheduled": true,
                  "schedulingMode": null,
                  "slackUnit": "day",
                  "cls": null,
                  "iconCls": null,
                  "style": null,
                  "taskIconCls": null,
                  "parentIndex": null,
                  "status": "To Do",
                  "remark": null,
                  "attachments": "[]",
                  "isAllowDelete": true,
                  "bookedHours": 0,
                  "priority": 50,
                  "priorityName": "Medium",
                  "groupId": "3a09b8a3-9317-b8b0-515c-ad23280bb317",
                  "groupName": "Others",
                  "planiswareProjectId": "3a090951-495a-98d0-3d72-1d9a1e327f5d",
                  "planiswareProjectNumber": "167049601206",
                  "planiswareTaskId": "3a090951-d433-0c8e-cfc8-4ba6c55ca5dd",
                  "sapwbsElement": "S-030661",
                  "budget": 0,
                  "dataSourceType": 1,
                  "baseLines": [],
                  "children": [
                    {
                      "id": "3a0a0187-01d5-3380-c5aa-18c9631e64ac",
                      "parentId": "3a0a0187-01d5-3380-c5aa-18c9631e64aa",
                      "name": "Planisware",
                      "percentDone": 0,
                      "startDate": "2022-05-06",
                      "endDate": "2022-10-01",
                      "schaefflerEndDate": "2022-09-30",
                      "rollUp": true,
                      "duration": 106,
                      "showInTimeline": null,
                      "phantomId": null,
                      "expanded": null,
                      "note": null,
                      "draggable": false,
                      "resizable": false,
                      "constraintDate": "2022-05-06",
                      "constraintType": "startnolaterthan",
                      "durationUnit": "day",
                      "deadLineDate": null,
                      "effort": 0,
                      "effortDriven": null,
                      "effortUnit": "hour",
                      "inactive": null,
                      "manuallyScheduled": true,
                      "schedulingMode": null,
                      "slackUnit": "day",
                      "cls": null,
                      "iconCls": null,
                      "style": null,
                      "taskIconCls": null,
                      "parentIndex": null,
                      "status": "To Do",
                      "remark": null,
                      "attachments": "[]",
                      "isAllowDelete": true,
                      "bookedHours": 0,
                      "priority": 50,
                      "priorityName": "Medium",
                      "groupId": "3a09b8a3-9317-b8b0-515c-ad23280bb317",
                      "groupName": "Others",
                      "planiswareProjectId": "3a090951-495a-98d0-3d72-1d9a1e327f5d",
                      "planiswareProjectNumber": "167049601206",
                      "planiswareTaskId": "3a090951-d433-0c8e-cfc8-4ba6c55ca5dd",
                      "sapwbsElement": "S-030661",
                      "budget": 0,
                      "dataSourceType": 1,
                      "baseLines": [],
                      "involveWorkLogs": []
                    }
                  ],
                  "involveWorkLogs": []
                }
              ],
              "dependenciesData": [],
              "resourcesData": [
                {
                  "id": "28033159",
                  "name": "Du, Zhuo",
                  "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28033159.jpg",
                  "orgCode": "OP/TCG-ZSID"
                },
                {
                  "id": "28038232",
                  "name": "Wang, Fang",
                  "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28038232.jpg",
                  "orgCode": "OP/TCG-ZSID"
                },
                {
                  "id": "28037752",
                  "name": "Yao, Weiping",
                  "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28037752.jpg",
                  "orgCode": "OP/TCG-ZSID"
                },
                {
                  "id": "28040865",
                  "name": "Lan, Peng",
                  "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28040865.jpg",
                  "orgCode": "OP/TCG-ZSID"
                },
                {
                  "id": "28034779",
                  "name": "Shi, Minxuan",
                  "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28034779.jpg",
                  "orgCode": "OP/TCG-ZSID"
                }
              ],
              "assignmentsData": [],
              "calendarsData": [
                {
                  "id": "general",
                  "name": "General",
                  "intervals": [
                    {
                      "startDate": "2022-01-01",
                      "endDate": "2022-01-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-02",
                      "endDate": "2022-01-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-03",
                      "endDate": "2022-01-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-08",
                      "endDate": "2022-01-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-09",
                      "endDate": "2022-01-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-15",
                      "endDate": "2022-01-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-16",
                      "endDate": "2022-01-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-22",
                      "endDate": "2022-01-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-23",
                      "endDate": "2022-01-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-01-31",
                      "endDate": "2022-02-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-01",
                      "endDate": "2022-02-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-02",
                      "endDate": "2022-02-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-03",
                      "endDate": "2022-02-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-04",
                      "endDate": "2022-02-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-05",
                      "endDate": "2022-02-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-06",
                      "endDate": "2022-02-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-12",
                      "endDate": "2022-02-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-13",
                      "endDate": "2022-02-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-19",
                      "endDate": "2022-02-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-20",
                      "endDate": "2022-02-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-26",
                      "endDate": "2022-02-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-02-27",
                      "endDate": "2022-02-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-05",
                      "endDate": "2022-03-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-06",
                      "endDate": "2022-03-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-12",
                      "endDate": "2022-03-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-13",
                      "endDate": "2022-03-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-19",
                      "endDate": "2022-03-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-20",
                      "endDate": "2022-03-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-26",
                      "endDate": "2022-03-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-03-27",
                      "endDate": "2022-03-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-03",
                      "endDate": "2022-04-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-04",
                      "endDate": "2022-04-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-05",
                      "endDate": "2022-04-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-09",
                      "endDate": "2022-04-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-10",
                      "endDate": "2022-04-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-16",
                      "endDate": "2022-04-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-17",
                      "endDate": "2022-04-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-23",
                      "endDate": "2022-04-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-04-30",
                      "endDate": "2022-05-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-01",
                      "endDate": "2022-05-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-02",
                      "endDate": "2022-05-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-03",
                      "endDate": "2022-05-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-04",
                      "endDate": "2022-05-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-08",
                      "endDate": "2022-05-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-14",
                      "endDate": "2022-05-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-15",
                      "endDate": "2022-05-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-21",
                      "endDate": "2022-05-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-22",
                      "endDate": "2022-05-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-28",
                      "endDate": "2022-05-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-05-29",
                      "endDate": "2022-05-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-03",
                      "endDate": "2022-06-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-04",
                      "endDate": "2022-06-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-05",
                      "endDate": "2022-06-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-11",
                      "endDate": "2022-06-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-12",
                      "endDate": "2022-06-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-18",
                      "endDate": "2022-06-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-19",
                      "endDate": "2022-06-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-25",
                      "endDate": "2022-06-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-06-26",
                      "endDate": "2022-06-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-02",
                      "endDate": "2022-07-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-03",
                      "endDate": "2022-07-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-09",
                      "endDate": "2022-07-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-10",
                      "endDate": "2022-07-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-16",
                      "endDate": "2022-07-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-17",
                      "endDate": "2022-07-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-23",
                      "endDate": "2022-07-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-24",
                      "endDate": "2022-07-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-30",
                      "endDate": "2022-07-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-07-31",
                      "endDate": "2022-08-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-06",
                      "endDate": "2022-08-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-07",
                      "endDate": "2022-08-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-13",
                      "endDate": "2022-08-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-14",
                      "endDate": "2022-08-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-20",
                      "endDate": "2022-08-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-21",
                      "endDate": "2022-08-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-27",
                      "endDate": "2022-08-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-08-28",
                      "endDate": "2022-08-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-03",
                      "endDate": "2022-09-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-04",
                      "endDate": "2022-09-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-10",
                      "endDate": "2022-09-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-10",
                      "endDate": "2022-09-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-11",
                      "endDate": "2022-09-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-11",
                      "endDate": "2022-09-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-12",
                      "endDate": "2022-09-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-17",
                      "endDate": "2022-09-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-18",
                      "endDate": "2022-09-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-24",
                      "endDate": "2022-09-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-09-25",
                      "endDate": "2022-09-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-01",
                      "endDate": "2022-10-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-02",
                      "endDate": "2022-10-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-03",
                      "endDate": "2022-10-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-04",
                      "endDate": "2022-10-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-05",
                      "endDate": "2022-10-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-06",
                      "endDate": "2022-10-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-07",
                      "endDate": "2022-10-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-15",
                      "endDate": "2022-10-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-16",
                      "endDate": "2022-10-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-22",
                      "endDate": "2022-10-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-23",
                      "endDate": "2022-10-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-29",
                      "endDate": "2022-10-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-10-30",
                      "endDate": "2022-10-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-05",
                      "endDate": "2022-11-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-06",
                      "endDate": "2022-11-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-12",
                      "endDate": "2022-11-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-13",
                      "endDate": "2022-11-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-19",
                      "endDate": "2022-11-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-20",
                      "endDate": "2022-11-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-26",
                      "endDate": "2022-11-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-11-27",
                      "endDate": "2022-11-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-03",
                      "endDate": "2022-12-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-04",
                      "endDate": "2022-12-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-10",
                      "endDate": "2022-12-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-11",
                      "endDate": "2022-12-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-17",
                      "endDate": "2022-12-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-18",
                      "endDate": "2022-12-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-24",
                      "endDate": "2022-12-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-25",
                      "endDate": "2022-12-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2022-12-31",
                      "endDate": "2023-01-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-01",
                      "endDate": "2023-01-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-02",
                      "endDate": "2023-01-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-07",
                      "endDate": "2023-01-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-08",
                      "endDate": "2023-01-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-14",
                      "endDate": "2023-01-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-15",
                      "endDate": "2023-01-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-21",
                      "endDate": "2023-01-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-22",
                      "endDate": "2023-01-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-23",
                      "endDate": "2023-01-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-24",
                      "endDate": "2023-01-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-25",
                      "endDate": "2023-01-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-26",
                      "endDate": "2023-01-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-01-27",
                      "endDate": "2023-01-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-04",
                      "endDate": "2023-02-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-05",
                      "endDate": "2023-02-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-11",
                      "endDate": "2023-02-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-12",
                      "endDate": "2023-02-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-18",
                      "endDate": "2023-02-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-19",
                      "endDate": "2023-02-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-25",
                      "endDate": "2023-02-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-02-26",
                      "endDate": "2023-02-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-04",
                      "endDate": "2023-03-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-05",
                      "endDate": "2023-03-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-11",
                      "endDate": "2023-03-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-12",
                      "endDate": "2023-03-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-18",
                      "endDate": "2023-03-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-19",
                      "endDate": "2023-03-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-25",
                      "endDate": "2023-03-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-03-26",
                      "endDate": "2023-03-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-03",
                      "endDate": "2023-04-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-04",
                      "endDate": "2023-04-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-05",
                      "endDate": "2023-04-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-08",
                      "endDate": "2023-04-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-09",
                      "endDate": "2023-04-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-15",
                      "endDate": "2023-04-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-16",
                      "endDate": "2023-04-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-22",
                      "endDate": "2023-04-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-29",
                      "endDate": "2023-04-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-04-30",
                      "endDate": "2023-05-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-01",
                      "endDate": "2023-05-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-02",
                      "endDate": "2023-05-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-03",
                      "endDate": "2023-05-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-07",
                      "endDate": "2023-05-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-13",
                      "endDate": "2023-05-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-14",
                      "endDate": "2023-05-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-20",
                      "endDate": "2023-05-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-21",
                      "endDate": "2023-05-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-27",
                      "endDate": "2023-05-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-05-28",
                      "endDate": "2023-05-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-03",
                      "endDate": "2023-06-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-04",
                      "endDate": "2023-06-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-10",
                      "endDate": "2023-06-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-11",
                      "endDate": "2023-06-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-17",
                      "endDate": "2023-06-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-18",
                      "endDate": "2023-06-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-22",
                      "endDate": "2023-06-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-23",
                      "endDate": "2023-06-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-06-24",
                      "endDate": "2023-06-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-01",
                      "endDate": "2023-07-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-02",
                      "endDate": "2023-07-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-08",
                      "endDate": "2023-07-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-09",
                      "endDate": "2023-07-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-15",
                      "endDate": "2023-07-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-16",
                      "endDate": "2023-07-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-22",
                      "endDate": "2023-07-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-23",
                      "endDate": "2023-07-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-29",
                      "endDate": "2023-07-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-07-30",
                      "endDate": "2023-07-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-05",
                      "endDate": "2023-08-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-06",
                      "endDate": "2023-08-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-12",
                      "endDate": "2023-08-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-13",
                      "endDate": "2023-08-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-19",
                      "endDate": "2023-08-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-20",
                      "endDate": "2023-08-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-26",
                      "endDate": "2023-08-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-08-27",
                      "endDate": "2023-08-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-02",
                      "endDate": "2023-09-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-03",
                      "endDate": "2023-09-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-09",
                      "endDate": "2023-09-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-10",
                      "endDate": "2023-09-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-16",
                      "endDate": "2023-09-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-17",
                      "endDate": "2023-09-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-23",
                      "endDate": "2023-09-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-24",
                      "endDate": "2023-09-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-29",
                      "endDate": "2023-09-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-09-30",
                      "endDate": "2023-10-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-01",
                      "endDate": "2023-10-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-02",
                      "endDate": "2023-10-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-03",
                      "endDate": "2023-10-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-04",
                      "endDate": "2023-10-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-05",
                      "endDate": "2023-10-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-06",
                      "endDate": "2023-10-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-14",
                      "endDate": "2023-10-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-15",
                      "endDate": "2023-10-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-21",
                      "endDate": "2023-10-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-22",
                      "endDate": "2023-10-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-28",
                      "endDate": "2023-10-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-10-29",
                      "endDate": "2023-10-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-04",
                      "endDate": "2023-11-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-05",
                      "endDate": "2023-11-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-11",
                      "endDate": "2023-11-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-12",
                      "endDate": "2023-11-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-18",
                      "endDate": "2023-11-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-19",
                      "endDate": "2023-11-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-25",
                      "endDate": "2023-11-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-11-26",
                      "endDate": "2023-11-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-02",
                      "endDate": "2023-12-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-03",
                      "endDate": "2023-12-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-09",
                      "endDate": "2023-12-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-10",
                      "endDate": "2023-12-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-16",
                      "endDate": "2023-12-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-17",
                      "endDate": "2023-12-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-23",
                      "endDate": "2023-12-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-24",
                      "endDate": "2023-12-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-30",
                      "endDate": "2023-12-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2023-12-31",
                      "endDate": "2024-01-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-06",
                      "endDate": "2024-01-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-07",
                      "endDate": "2024-01-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-13",
                      "endDate": "2024-01-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-14",
                      "endDate": "2024-01-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-20",
                      "endDate": "2024-01-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-21",
                      "endDate": "2024-01-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-27",
                      "endDate": "2024-01-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-01-28",
                      "endDate": "2024-01-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-03",
                      "endDate": "2024-02-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-04",
                      "endDate": "2024-02-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-10",
                      "endDate": "2024-02-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-11",
                      "endDate": "2024-02-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-17",
                      "endDate": "2024-02-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-18",
                      "endDate": "2024-02-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-24",
                      "endDate": "2024-02-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-02-25",
                      "endDate": "2024-02-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-02",
                      "endDate": "2024-03-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-03",
                      "endDate": "2024-03-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-09",
                      "endDate": "2024-03-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-10",
                      "endDate": "2024-03-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-16",
                      "endDate": "2024-03-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-17",
                      "endDate": "2024-03-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-23",
                      "endDate": "2024-03-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-24",
                      "endDate": "2024-03-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-30",
                      "endDate": "2024-03-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-03-31",
                      "endDate": "2024-04-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-06",
                      "endDate": "2024-04-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-07",
                      "endDate": "2024-04-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-13",
                      "endDate": "2024-04-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-14",
                      "endDate": "2024-04-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-20",
                      "endDate": "2024-04-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-21",
                      "endDate": "2024-04-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-27",
                      "endDate": "2024-04-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-04-28",
                      "endDate": "2024-04-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-04",
                      "endDate": "2024-05-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-05",
                      "endDate": "2024-05-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-11",
                      "endDate": "2024-05-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-12",
                      "endDate": "2024-05-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-18",
                      "endDate": "2024-05-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-19",
                      "endDate": "2024-05-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-25",
                      "endDate": "2024-05-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-05-26",
                      "endDate": "2024-05-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-01",
                      "endDate": "2024-06-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-02",
                      "endDate": "2024-06-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-08",
                      "endDate": "2024-06-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-09",
                      "endDate": "2024-06-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-15",
                      "endDate": "2024-06-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-16",
                      "endDate": "2024-06-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-22",
                      "endDate": "2024-06-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-23",
                      "endDate": "2024-06-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-29",
                      "endDate": "2024-06-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-06-30",
                      "endDate": "2024-07-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-06",
                      "endDate": "2024-07-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-07",
                      "endDate": "2024-07-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-13",
                      "endDate": "2024-07-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-14",
                      "endDate": "2024-07-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-20",
                      "endDate": "2024-07-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-21",
                      "endDate": "2024-07-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-27",
                      "endDate": "2024-07-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-07-28",
                      "endDate": "2024-07-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-03",
                      "endDate": "2024-08-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-04",
                      "endDate": "2024-08-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-10",
                      "endDate": "2024-08-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-11",
                      "endDate": "2024-08-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-17",
                      "endDate": "2024-08-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-18",
                      "endDate": "2024-08-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-24",
                      "endDate": "2024-08-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-25",
                      "endDate": "2024-08-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-08-31",
                      "endDate": "2024-09-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-01",
                      "endDate": "2024-09-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-07",
                      "endDate": "2024-09-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-08",
                      "endDate": "2024-09-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-14",
                      "endDate": "2024-09-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-15",
                      "endDate": "2024-09-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-21",
                      "endDate": "2024-09-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-22",
                      "endDate": "2024-09-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-28",
                      "endDate": "2024-09-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-09-29",
                      "endDate": "2024-09-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-05",
                      "endDate": "2024-10-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-06",
                      "endDate": "2024-10-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-12",
                      "endDate": "2024-10-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-13",
                      "endDate": "2024-10-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-19",
                      "endDate": "2024-10-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-20",
                      "endDate": "2024-10-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-26",
                      "endDate": "2024-10-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-10-27",
                      "endDate": "2024-10-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-02",
                      "endDate": "2024-11-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-03",
                      "endDate": "2024-11-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-09",
                      "endDate": "2024-11-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-10",
                      "endDate": "2024-11-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-16",
                      "endDate": "2024-11-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-17",
                      "endDate": "2024-11-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-23",
                      "endDate": "2024-11-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-24",
                      "endDate": "2024-11-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-11-30",
                      "endDate": "2024-12-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-01",
                      "endDate": "2024-12-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-07",
                      "endDate": "2024-12-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-08",
                      "endDate": "2024-12-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-14",
                      "endDate": "2024-12-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-15",
                      "endDate": "2024-12-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-21",
                      "endDate": "2024-12-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-22",
                      "endDate": "2024-12-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-28",
                      "endDate": "2024-12-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2024-12-29",
                      "endDate": "2024-12-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-04",
                      "endDate": "2025-01-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-05",
                      "endDate": "2025-01-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-11",
                      "endDate": "2025-01-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-12",
                      "endDate": "2025-01-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-18",
                      "endDate": "2025-01-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-19",
                      "endDate": "2025-01-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-25",
                      "endDate": "2025-01-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-01-26",
                      "endDate": "2025-01-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-01",
                      "endDate": "2025-02-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-02",
                      "endDate": "2025-02-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-08",
                      "endDate": "2025-02-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-09",
                      "endDate": "2025-02-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-15",
                      "endDate": "2025-02-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-16",
                      "endDate": "2025-02-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-22",
                      "endDate": "2025-02-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-02-23",
                      "endDate": "2025-02-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-01",
                      "endDate": "2025-03-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-02",
                      "endDate": "2025-03-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-08",
                      "endDate": "2025-03-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-09",
                      "endDate": "2025-03-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-15",
                      "endDate": "2025-03-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-16",
                      "endDate": "2025-03-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-22",
                      "endDate": "2025-03-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-23",
                      "endDate": "2025-03-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-29",
                      "endDate": "2025-03-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-03-30",
                      "endDate": "2025-03-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-05",
                      "endDate": "2025-04-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-06",
                      "endDate": "2025-04-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-12",
                      "endDate": "2025-04-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-13",
                      "endDate": "2025-04-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-19",
                      "endDate": "2025-04-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-20",
                      "endDate": "2025-04-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-26",
                      "endDate": "2025-04-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-04-27",
                      "endDate": "2025-04-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-03",
                      "endDate": "2025-05-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-04",
                      "endDate": "2025-05-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-10",
                      "endDate": "2025-05-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-11",
                      "endDate": "2025-05-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-17",
                      "endDate": "2025-05-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-18",
                      "endDate": "2025-05-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-24",
                      "endDate": "2025-05-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-25",
                      "endDate": "2025-05-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-05-31",
                      "endDate": "2025-06-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-01",
                      "endDate": "2025-06-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-07",
                      "endDate": "2025-06-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-08",
                      "endDate": "2025-06-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-14",
                      "endDate": "2025-06-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-15",
                      "endDate": "2025-06-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-21",
                      "endDate": "2025-06-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-22",
                      "endDate": "2025-06-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-28",
                      "endDate": "2025-06-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-06-29",
                      "endDate": "2025-06-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-05",
                      "endDate": "2025-07-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-06",
                      "endDate": "2025-07-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-12",
                      "endDate": "2025-07-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-13",
                      "endDate": "2025-07-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-19",
                      "endDate": "2025-07-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-20",
                      "endDate": "2025-07-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-26",
                      "endDate": "2025-07-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-07-27",
                      "endDate": "2025-07-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-02",
                      "endDate": "2025-08-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-03",
                      "endDate": "2025-08-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-09",
                      "endDate": "2025-08-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-10",
                      "endDate": "2025-08-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-16",
                      "endDate": "2025-08-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-17",
                      "endDate": "2025-08-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-23",
                      "endDate": "2025-08-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-24",
                      "endDate": "2025-08-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-30",
                      "endDate": "2025-08-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-08-31",
                      "endDate": "2025-09-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-06",
                      "endDate": "2025-09-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-07",
                      "endDate": "2025-09-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-13",
                      "endDate": "2025-09-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-14",
                      "endDate": "2025-09-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-20",
                      "endDate": "2025-09-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-21",
                      "endDate": "2025-09-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-27",
                      "endDate": "2025-09-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-09-28",
                      "endDate": "2025-09-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-04",
                      "endDate": "2025-10-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-05",
                      "endDate": "2025-10-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-11",
                      "endDate": "2025-10-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-12",
                      "endDate": "2025-10-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-18",
                      "endDate": "2025-10-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-19",
                      "endDate": "2025-10-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-25",
                      "endDate": "2025-10-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-10-26",
                      "endDate": "2025-10-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-01",
                      "endDate": "2025-11-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-02",
                      "endDate": "2025-11-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-08",
                      "endDate": "2025-11-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-09",
                      "endDate": "2025-11-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-15",
                      "endDate": "2025-11-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-16",
                      "endDate": "2025-11-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-22",
                      "endDate": "2025-11-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-23",
                      "endDate": "2025-11-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-29",
                      "endDate": "2025-11-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-11-30",
                      "endDate": "2025-12-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-06",
                      "endDate": "2025-12-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-07",
                      "endDate": "2025-12-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-13",
                      "endDate": "2025-12-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-14",
                      "endDate": "2025-12-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-20",
                      "endDate": "2025-12-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-21",
                      "endDate": "2025-12-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-27",
                      "endDate": "2025-12-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2025-12-28",
                      "endDate": "2025-12-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-03",
                      "endDate": "2026-01-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-04",
                      "endDate": "2026-01-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-10",
                      "endDate": "2026-01-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-11",
                      "endDate": "2026-01-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-17",
                      "endDate": "2026-01-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-18",
                      "endDate": "2026-01-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-24",
                      "endDate": "2026-01-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-25",
                      "endDate": "2026-01-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-01-31",
                      "endDate": "2026-02-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-01",
                      "endDate": "2026-02-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-07",
                      "endDate": "2026-02-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-08",
                      "endDate": "2026-02-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-14",
                      "endDate": "2026-02-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-15",
                      "endDate": "2026-02-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-21",
                      "endDate": "2026-02-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-22",
                      "endDate": "2026-02-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-02-28",
                      "endDate": "2026-03-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-01",
                      "endDate": "2026-03-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-07",
                      "endDate": "2026-03-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-08",
                      "endDate": "2026-03-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-14",
                      "endDate": "2026-03-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-15",
                      "endDate": "2026-03-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-21",
                      "endDate": "2026-03-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-22",
                      "endDate": "2026-03-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-28",
                      "endDate": "2026-03-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-03-29",
                      "endDate": "2026-03-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-04",
                      "endDate": "2026-04-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-05",
                      "endDate": "2026-04-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-11",
                      "endDate": "2026-04-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-12",
                      "endDate": "2026-04-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-18",
                      "endDate": "2026-04-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-19",
                      "endDate": "2026-04-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-25",
                      "endDate": "2026-04-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-04-26",
                      "endDate": "2026-04-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-02",
                      "endDate": "2026-05-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-03",
                      "endDate": "2026-05-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-09",
                      "endDate": "2026-05-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-10",
                      "endDate": "2026-05-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-16",
                      "endDate": "2026-05-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-17",
                      "endDate": "2026-05-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-23",
                      "endDate": "2026-05-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-24",
                      "endDate": "2026-05-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-30",
                      "endDate": "2026-05-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-05-31",
                      "endDate": "2026-06-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-06",
                      "endDate": "2026-06-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-07",
                      "endDate": "2026-06-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-13",
                      "endDate": "2026-06-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-14",
                      "endDate": "2026-06-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-20",
                      "endDate": "2026-06-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-21",
                      "endDate": "2026-06-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-27",
                      "endDate": "2026-06-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-06-28",
                      "endDate": "2026-06-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-04",
                      "endDate": "2026-07-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-05",
                      "endDate": "2026-07-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-11",
                      "endDate": "2026-07-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-12",
                      "endDate": "2026-07-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-18",
                      "endDate": "2026-07-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-19",
                      "endDate": "2026-07-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-25",
                      "endDate": "2026-07-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-07-26",
                      "endDate": "2026-07-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-01",
                      "endDate": "2026-08-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-02",
                      "endDate": "2026-08-03",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-08",
                      "endDate": "2026-08-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-09",
                      "endDate": "2026-08-10",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-15",
                      "endDate": "2026-08-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-16",
                      "endDate": "2026-08-17",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-22",
                      "endDate": "2026-08-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-23",
                      "endDate": "2026-08-24",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-29",
                      "endDate": "2026-08-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-08-30",
                      "endDate": "2026-08-31",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-05",
                      "endDate": "2026-09-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-06",
                      "endDate": "2026-09-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-12",
                      "endDate": "2026-09-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-13",
                      "endDate": "2026-09-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-19",
                      "endDate": "2026-09-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-20",
                      "endDate": "2026-09-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-26",
                      "endDate": "2026-09-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-09-27",
                      "endDate": "2026-09-28",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-03",
                      "endDate": "2026-10-04",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-04",
                      "endDate": "2026-10-05",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-10",
                      "endDate": "2026-10-11",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-11",
                      "endDate": "2026-10-12",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-17",
                      "endDate": "2026-10-18",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-18",
                      "endDate": "2026-10-19",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-24",
                      "endDate": "2026-10-25",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-25",
                      "endDate": "2026-10-26",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-10-31",
                      "endDate": "2026-11-01",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-01",
                      "endDate": "2026-11-02",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-07",
                      "endDate": "2026-11-08",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-08",
                      "endDate": "2026-11-09",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-14",
                      "endDate": "2026-11-15",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-15",
                      "endDate": "2026-11-16",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-21",
                      "endDate": "2026-11-22",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-22",
                      "endDate": "2026-11-23",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-28",
                      "endDate": "2026-11-29",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-11-29",
                      "endDate": "2026-11-30",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-05",
                      "endDate": "2026-12-06",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-06",
                      "endDate": "2026-12-07",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-12",
                      "endDate": "2026-12-13",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-13",
                      "endDate": "2026-12-14",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-19",
                      "endDate": "2026-12-20",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-20",
                      "endDate": "2026-12-21",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-26",
                      "endDate": "2026-12-27",
                      "isWorking": false
                    },
                    {
                      "startDate": "2026-12-27",
                      "endDate": "2026-12-28",
                      "isWorking": false
                    }
                  ]
                }
              ]
            }


      );
      this.gantt.project.calendar = (this.gantt.project.calendarManagerStore.getById('general') as CalendarModel);

        // let data = [
        //     {
        //         "projectId": "3a074e1f-3a94-d651-3797-9efb6333d01d",
        //         "groupName": "Others",
        //         "groupStatus": 0,
        //         "groupType": 0,
        //         "description": "新建项目，默认甘特任务组",
        //         "tenantId": "3a047944-43ee-8651-13cd-ee2c89dca7fe",
        //         "isDeleted": false,
        //         "deleterId": null,
        //         "deletionTime": null,
        //         "lastModificationTime": null,
        //         "lastModifierId": null,
        //         "creationTime": "2022-11-03T13:24:11.608449",
        //         "creatorId": "47c50fa2-9e9e-4ed9-939e-a582833e1779",
        //         "id": "3a074e1f-3abd-e5a0-c312-5a688f6d188a"
        //     },
        //     {
        //         "projectId": "3a074e1f-3a94-d651-3797-9efb6333d01d",
        //         "groupName": "milestone",
        //         "groupStatus": 1,
        //         "groupType": 2,
        //         "description": "",
        //         "tenantId": "3a047944-43ee-8651-13cd-ee2c89dca7fe",
        //         "isDeleted": false,
        //         "deleterId": null,
        //         "deletionTime": null,
        //         "lastModificationTime": "2023-02-20T14:02:48.357669",
        //         "lastModifierId": "fbc68edc-33a5-4ee7-a1eb-c71c3c4f38f6",
        //         "creationTime": "2023-02-10T10:32:23.974323",
        //         "creatorId": "fbc68edc-33a5-4ee7-a1eb-c71c3c4f38f6",
        //         "id": "3a094b57-86a5-1f99-e329-cb47e4270775"
        //     },
        //     {
        //         "projectId": "3a074e1f-3a94-d651-3797-9efb6333d01d",
        //         "groupName": "33333",
        //         "groupStatus": 0,
        //         "groupType": 0,
        //         "description": "",
        //         "tenantId": "3a047944-43ee-8651-13cd-ee2c89dca7fe",
        //         "isDeleted": false,
        //         "deleterId": null,
        //         "deletionTime": null,
        //         "lastModificationTime": "2023-02-14T14:13:59.958391",
        //         "lastModifierId": "fbc68edc-33a5-4ee7-a1eb-c71c3c4f38f6",
        //         "creationTime": "2023-02-11T13:05:48.503687",
        //         "creatorId": "fbc68edc-33a5-4ee7-a1eb-c71c3c4f38f6",
        //         "id": "3a09510a-55d6-cbe8-2e4b-b40102453bba"
        //     },
        //     {
        //         "projectId": "3a074e1f-3a94-d651-3797-9efb6333d01d",
        //         "groupName": "123456",
        //         "groupStatus": 0,
        //         "groupType": 2,
        //         "description": "",
        //         "tenantId": "3a047944-43ee-8651-13cd-ee2c89dca7fe",
        //         "isDeleted": false,
        //         "deleterId": null,
        //         "deletionTime": null,
        //         "lastModificationTime": null,
        //         "lastModifierId": null,
        //         "creationTime": "2023-02-17T12:33:05.457012",
        //         "creatorId": "fbc68edc-33a5-4ee7-a1eb-c71c3c4f38f6",
        //         "id": "3a096fd2-89ae-684f-84fd-7bf9f7e0f8ac"
        //     }
        // ]
        // data.forEach(element => {
        //     if (element.groupStatus == 0) {
        //         this.Grouplist.push({
        //             id: element.id,
        //             text: element.groupName,
        //         })
        //     }

        // });
        // this.gantt.columns.get('groupId').editor.store.add(this.Grouplist)
        // localStorage.setItem('groupData', JSON.stringify(this.Grouplist))


    }

    onPdfExport(): void {
        this.gantt.features.pdfExport.showExportDialog();
    }
    addRemark() {

    }
    callFromOutside() {
        (this.gantt.widgetMap as any).resetUndoRedoQueuesAfterLoad = true
        this.gantt.project.stm.resetQueue();
        this.gantt.project.loadInlineData(
            {
                "eventsData": [
                    {
                        "id": "3a0923f3-2abe-527a-9c94-90b1fde5dfb8",
                        "parentId": null,
                        "name": "Planisware",
                        "percentDone": 0.0,
                        "startDate": "2023-02-06",
                        "endDate": "2023-02-08",
                        "schaefflerEndDate": "2023-02-07",
                        "rollUp": null,
                        "duration": 2,
                        "showInTimeline": null,
                        "baseLines": [],
                        "children": [
                            {
                                "id": "3a0923f3-2ac1-9f47-8258-cda3b14b8518",
                                "parentId": "3a0923f3-2abe-527a-9c94-90b1fde5dfb8",
                                "name": "Milestones",
                                "percentDone": 0.0,
                                "startDate": "2023-02-06",
                                "endDate": "2023-02-06",
                                "schaefflerEndDate": "2023-02-05",
                                "rollUp": null,
                                "duration": 0,
                                "showInTimeline": null,
                                "baseLines": [],
                                "children": null,
                                "PhantomId": null,
                                "expanded": null,
                                "note": "1",
                                "draggable": true,
                                "resizable": true,
                                "constraintDate": null,
                                "constraintType": null,
                                "durationUnit": "day",
                                "deadLineDate": null,
                                "effort": 0.0,
                                "effortDriven": null,
                                "effortUnit": "hour",
                                "inactive": null,
                                "manuallyScheduled": false,
                                "schedulingMode": "Normal",
                                "slackUnit": "hour",
                                "cls": null,
                                "iconCls": null,
                                "style": null,
                                "taskIconCls": null,
                                "parentIndex": 0,
                                "status": "To Do",
                                "remark": null,
                                "IsAllowDelete": true,
                                "BookedHours": 0.0,
                                "Priority": 50,
                                "PriorityName": "Medium",
                                "GroupId": "3a0844e3-7258-3183-ffd9-935012d12fea",
                                "GroupName": "Others",
                                "PlaniswareProjectId": "3a090951-495a-ec55-a833-7aad96032335",
                                "PlaniswareProjectNumber": "160600832906",
                                "PlaniswareTaskId": "3a090951-d6fc-1985-715e-4b80bffa8f2b",
                                "SAPWBSElement": null,
                                "Budget": 0.000000,
                                "DataSourceType": 0,
                                "InvolveWorkLogs": []
                            },
                            {
                                "id": "3a0923f3-2ac2-02e6-1d51-01f543fd2977",
                                "parentId": "3a0923f3-2abe-527a-9c94-90b1fde5dfb8",
                                "name": "Overall Time Schedule (Optional)",
                                "percentDone": 0.0,
                                "startDate": "2023-02-08",
                                "endDate": "2023-02-08",
                                "schaefflerEndDate": "2023-02-07",
                                "rollUp": null,
                                "duration": 0,
                                "showInTimeline": null,
                                "baseLines": [],
                                "children": null,
                                "PhantomId": null,
                                "expanded": null,
                                "note": null,
                                "draggable": true,
                                "resizable": true,
                                "constraintDate": "2023-02-08",
                                "constraintType": "startnoearlierthan",
                                "durationUnit": "day",
                                "deadLineDate": null,
                                "effort": 0.0,
                                "effortDriven": null,
                                "effortUnit": "hour",
                                "inactive": null,
                                "manuallyScheduled": false,
                                "schedulingMode": "Normal",
                                "slackUnit": "hour",
                                "cls": null,
                                "iconCls": null,
                                "style": null,
                                "taskIconCls": null,
                                "parentIndex": 1,
                                "status": "To Do",
                                "remark": null,
                                "IsAllowDelete": true,
                                "BookedHours": 0.0,
                                "Priority": 50,
                                "PriorityName": "Medium",
                                "GroupId": "3a0844e3-7258-3183-ffd9-935012d12fea",
                                "GroupName": "Others",
                                "PlaniswareProjectId": "3a090951-495a-ec55-a833-7aad96032335",
                                "PlaniswareProjectNumber": "160600832906",
                                "PlaniswareTaskId": "3a090951-efa2-b82c-99a4-e94ae4569292",
                                "SAPWBSElement": null,
                                "Budget": 0.000000,
                                "DataSourceType": 1,
                                "InvolveWorkLogs": []
                            }

                        ],
                        "PhantomId": null,
                        "expanded": null,
                        "note": null,
                        "draggable": true,
                        "resizable": true,
                        "constraintDate": "2023-02-06",
                        "constraintType": "startnoearlierthan",
                        "durationUnit": "day",
                        "deadLineDate": null,
                        "effort": 0.0,
                        "effortDriven": false,
                        "effortUnit": "hour",
                        "inactive": false,
                        "manuallyScheduled": false,
                        "schedulingMode": "Normal",
                        "slackUnit": "hour",
                        "cls": null,
                        "iconCls": null,
                        "style": null,
                        "taskIconCls": null,
                        "parentIndex": 0,
                        "status": "To Do",
                        "remark": null,
                        "IsAllowDelete": true,
                        "BookedHours": 0.0,
                        "Priority": 50,
                        "PriorityName": "Medium",
                        "GroupId": "3a0844e3-7258-3183-ffd9-935012d12fea",
                        "GroupName": "Others",
                        "PlaniswareProjectId": "3a090951-495a-ec55-a833-7aad96032335",
                        "PlaniswareProjectNumber": "160600832906",
                        "PlaniswareTaskId": "3a090951-f270-df1f-5828-f1886ab04aa5",
                        "SAPWBSElement": "S-029903",
                        "Budget": 0.000000,
                        "DataSourceType": 1,
                        "InvolveWorkLogs": []
                    }
                ],
                "dependenciesData": [

                ],
                "resourcesData": [
                    {
                        "id": "28038332",
                        "name": "Ren, Fang",
                        "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28038332.jpg",
                        "orgCode": "OP/TCG-ZSID"
                    },
                    {
                        "id": "28040172",
                        "name": "Liu, Shuaishuai",
                        "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28040172.jpg",
                        "orgCode": "OP/TCG-ZSID"
                    },
                    {
                        "id": "28038232",
                        "name": "Wang, Fang",
                        "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28038232.jpg",
                        "orgCode": "Test 1201 A"
                    },
                    {
                        "id": "28036791",
                        "name": "Lan, Peng",
                        "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28036791.jpg",
                        "orgCode": "OP/TCG-ZSA55"
                    },
                    {
                        "id": "28034779",
                        "name": "Shi, Minxuan",
                        "image": "https://qakimigatewaybe.schaefflercn.com/WorkImg/28034779.jpg",
                        "orgCode": "OP/TCG-ZSID"
                    }
                ],
                "assignmentsData": [
                    {
                        "id": "05d2aa58-e212-4e1c-ab30-9984063928fa",
                        "eventId": "05d2aa58-e212-4e1c-ab30-9984063928fa",
                        "resourceId": "28038232"
                    },
                    {
                        "id": "284dbf1e-da07-46dc-9a64-eaa7c474a6d5",
                        "eventId": "284dbf1e-da07-46dc-9a64-eaa7c474a6d5",
                        "resourceId": "28036791"
                    },
                    {
                        "id": "2e6660d9-cc3d-4267-b7b9-4c76b40fb222",
                        "eventId": "2e6660d9-cc3d-4267-b7b9-4c76b40fb222",
                        "resourceId": "28038232"
                    },
                    {
                        "id": "750858a7-1d65-43ba-b5a5-ba5a9fbdc0b5",
                        "eventId": "750858a7-1d65-43ba-b5a5-ba5a9fbdc0b5",
                        "resourceId": "28038332"
                    },
                    {
                        "id": "afe2a6ce-2bd8-4621-a8a9-4035b2b57b76",
                        "eventId": "afe2a6ce-2bd8-4621-a8a9-4035b2b57b76",
                        "resourceId": "28038232"
                    }
                ],
                "calendarsData": [
                    {
                        "id": "general",
                        "name": "General",
                        "intervals": [
                            {
                                "startDate": "2022-01-01",
                                "endDate": "2022-01-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-02",
                                "endDate": "2022-01-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-03",
                                "endDate": "2022-01-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-08",
                                "endDate": "2022-01-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-09",
                                "endDate": "2022-01-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-15",
                                "endDate": "2022-01-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-16",
                                "endDate": "2022-01-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-22",
                                "endDate": "2022-01-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-23",
                                "endDate": "2022-01-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-01-31",
                                "endDate": "2022-02-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-01",
                                "endDate": "2022-02-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-02",
                                "endDate": "2022-02-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-03",
                                "endDate": "2022-02-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-04",
                                "endDate": "2022-02-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-05",
                                "endDate": "2022-02-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-06",
                                "endDate": "2022-02-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-12",
                                "endDate": "2022-02-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-13",
                                "endDate": "2022-02-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-19",
                                "endDate": "2022-02-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-20",
                                "endDate": "2022-02-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-26",
                                "endDate": "2022-02-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-02-27",
                                "endDate": "2022-02-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-05",
                                "endDate": "2022-03-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-06",
                                "endDate": "2022-03-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-12",
                                "endDate": "2022-03-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-13",
                                "endDate": "2022-03-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-19",
                                "endDate": "2022-03-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-20",
                                "endDate": "2022-03-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-26",
                                "endDate": "2022-03-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-03-27",
                                "endDate": "2022-03-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-03",
                                "endDate": "2022-04-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-04",
                                "endDate": "2022-04-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-05",
                                "endDate": "2022-04-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-09",
                                "endDate": "2022-04-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-10",
                                "endDate": "2022-04-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-16",
                                "endDate": "2022-04-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-17",
                                "endDate": "2022-04-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-23",
                                "endDate": "2022-04-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-04-30",
                                "endDate": "2022-05-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-01",
                                "endDate": "2022-05-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-02",
                                "endDate": "2022-05-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-03",
                                "endDate": "2022-05-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-04",
                                "endDate": "2022-05-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-08",
                                "endDate": "2022-05-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-14",
                                "endDate": "2022-05-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-15",
                                "endDate": "2022-05-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-21",
                                "endDate": "2022-05-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-22",
                                "endDate": "2022-05-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-28",
                                "endDate": "2022-05-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-05-29",
                                "endDate": "2022-05-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-03",
                                "endDate": "2022-06-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-04",
                                "endDate": "2022-06-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-05",
                                "endDate": "2022-06-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-11",
                                "endDate": "2022-06-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-12",
                                "endDate": "2022-06-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-18",
                                "endDate": "2022-06-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-19",
                                "endDate": "2022-06-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-25",
                                "endDate": "2022-06-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-06-26",
                                "endDate": "2022-06-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-02",
                                "endDate": "2022-07-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-03",
                                "endDate": "2022-07-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-09",
                                "endDate": "2022-07-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-10",
                                "endDate": "2022-07-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-16",
                                "endDate": "2022-07-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-17",
                                "endDate": "2022-07-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-23",
                                "endDate": "2022-07-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-24",
                                "endDate": "2022-07-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-30",
                                "endDate": "2022-07-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-07-31",
                                "endDate": "2022-08-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-06",
                                "endDate": "2022-08-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-07",
                                "endDate": "2022-08-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-13",
                                "endDate": "2022-08-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-14",
                                "endDate": "2022-08-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-20",
                                "endDate": "2022-08-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-21",
                                "endDate": "2022-08-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-27",
                                "endDate": "2022-08-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-08-28",
                                "endDate": "2022-08-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-03",
                                "endDate": "2022-09-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-04",
                                "endDate": "2022-09-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-09",
                                "endDate": "2022-09-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-10",
                                "endDate": "2022-09-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-11",
                                "endDate": "2022-09-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-14",
                                "endDate": "2022-09-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-17",
                                "endDate": "2022-09-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-18",
                                "endDate": "2022-09-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-24",
                                "endDate": "2022-09-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-09-25",
                                "endDate": "2022-09-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-01",
                                "endDate": "2022-10-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-02",
                                "endDate": "2022-10-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-03",
                                "endDate": "2022-10-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-04",
                                "endDate": "2022-10-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-05",
                                "endDate": "2022-10-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-06",
                                "endDate": "2022-10-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-07",
                                "endDate": "2022-10-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-15",
                                "endDate": "2022-10-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-16",
                                "endDate": "2022-10-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-22",
                                "endDate": "2022-10-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-23",
                                "endDate": "2022-10-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-27",
                                "endDate": "2022-10-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-29",
                                "endDate": "2022-10-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-10-30",
                                "endDate": "2022-10-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-05",
                                "endDate": "2022-11-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-06",
                                "endDate": "2022-11-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-12",
                                "endDate": "2022-11-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-13",
                                "endDate": "2022-11-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-19",
                                "endDate": "2022-11-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-20",
                                "endDate": "2022-11-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-26",
                                "endDate": "2022-11-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-11-27",
                                "endDate": "2022-11-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-03",
                                "endDate": "2022-12-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-04",
                                "endDate": "2022-12-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-10",
                                "endDate": "2022-12-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-11",
                                "endDate": "2022-12-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-17",
                                "endDate": "2022-12-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-18",
                                "endDate": "2022-12-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-24",
                                "endDate": "2022-12-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-25",
                                "endDate": "2022-12-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2022-12-31",
                                "endDate": "2023-01-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-01",
                                "endDate": "2023-01-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-02",
                                "endDate": "2023-01-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-07",
                                "endDate": "2023-01-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-08",
                                "endDate": "2023-01-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-14",
                                "endDate": "2023-01-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-15",
                                "endDate": "2023-01-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-21",
                                "endDate": "2023-01-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-22",
                                "endDate": "2023-01-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-23",
                                "endDate": "2023-01-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-24",
                                "endDate": "2023-01-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-25",
                                "endDate": "2023-01-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-26",
                                "endDate": "2023-01-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-27",
                                "endDate": "2023-01-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-01-29",
                                "endDate": "2023-01-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-04",
                                "endDate": "2023-02-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-05",
                                "endDate": "2023-02-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-11",
                                "endDate": "2023-02-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-12",
                                "endDate": "2023-02-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-18",
                                "endDate": "2023-02-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-19",
                                "endDate": "2023-02-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-25",
                                "endDate": "2023-02-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-02-26",
                                "endDate": "2023-02-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-04",
                                "endDate": "2023-03-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-05",
                                "endDate": "2023-03-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-11",
                                "endDate": "2023-03-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-12",
                                "endDate": "2023-03-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-18",
                                "endDate": "2023-03-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-19",
                                "endDate": "2023-03-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-25",
                                "endDate": "2023-03-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-03-26",
                                "endDate": "2023-03-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-01",
                                "endDate": "2023-04-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-02",
                                "endDate": "2023-04-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-08",
                                "endDate": "2023-04-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-09",
                                "endDate": "2023-04-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-15",
                                "endDate": "2023-04-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-16",
                                "endDate": "2023-04-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-22",
                                "endDate": "2023-04-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-23",
                                "endDate": "2023-04-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-29",
                                "endDate": "2023-04-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-04-30",
                                "endDate": "2023-05-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-06",
                                "endDate": "2023-05-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-07",
                                "endDate": "2023-05-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-13",
                                "endDate": "2023-05-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-14",
                                "endDate": "2023-05-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-20",
                                "endDate": "2023-05-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-21",
                                "endDate": "2023-05-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-27",
                                "endDate": "2023-05-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-05-28",
                                "endDate": "2023-05-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-03",
                                "endDate": "2023-06-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-04",
                                "endDate": "2023-06-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-10",
                                "endDate": "2023-06-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-11",
                                "endDate": "2023-06-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-17",
                                "endDate": "2023-06-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-18",
                                "endDate": "2023-06-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-24",
                                "endDate": "2023-06-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-06-25",
                                "endDate": "2023-06-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-01",
                                "endDate": "2023-07-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-02",
                                "endDate": "2023-07-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-08",
                                "endDate": "2023-07-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-09",
                                "endDate": "2023-07-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-15",
                                "endDate": "2023-07-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-16",
                                "endDate": "2023-07-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-22",
                                "endDate": "2023-07-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-23",
                                "endDate": "2023-07-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-29",
                                "endDate": "2023-07-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-07-30",
                                "endDate": "2023-07-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-05",
                                "endDate": "2023-08-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-06",
                                "endDate": "2023-08-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-12",
                                "endDate": "2023-08-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-13",
                                "endDate": "2023-08-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-19",
                                "endDate": "2023-08-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-20",
                                "endDate": "2023-08-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-26",
                                "endDate": "2023-08-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-08-27",
                                "endDate": "2023-08-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-02",
                                "endDate": "2023-09-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-03",
                                "endDate": "2023-09-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-09",
                                "endDate": "2023-09-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-10",
                                "endDate": "2023-09-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-16",
                                "endDate": "2023-09-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-17",
                                "endDate": "2023-09-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-23",
                                "endDate": "2023-09-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-24",
                                "endDate": "2023-09-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-09-30",
                                "endDate": "2023-10-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-01",
                                "endDate": "2023-10-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-07",
                                "endDate": "2023-10-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-08",
                                "endDate": "2023-10-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-14",
                                "endDate": "2023-10-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-15",
                                "endDate": "2023-10-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-21",
                                "endDate": "2023-10-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-22",
                                "endDate": "2023-10-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-28",
                                "endDate": "2023-10-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-10-29",
                                "endDate": "2023-10-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-04",
                                "endDate": "2023-11-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-05",
                                "endDate": "2023-11-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-11",
                                "endDate": "2023-11-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-12",
                                "endDate": "2023-11-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-18",
                                "endDate": "2023-11-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-19",
                                "endDate": "2023-11-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-25",
                                "endDate": "2023-11-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-11-26",
                                "endDate": "2023-11-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-02",
                                "endDate": "2023-12-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-03",
                                "endDate": "2023-12-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-09",
                                "endDate": "2023-12-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-10",
                                "endDate": "2023-12-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-16",
                                "endDate": "2023-12-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-17",
                                "endDate": "2023-12-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-23",
                                "endDate": "2023-12-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-24",
                                "endDate": "2023-12-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-30",
                                "endDate": "2023-12-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2023-12-31",
                                "endDate": "2024-01-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-06",
                                "endDate": "2024-01-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-07",
                                "endDate": "2024-01-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-13",
                                "endDate": "2024-01-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-14",
                                "endDate": "2024-01-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-20",
                                "endDate": "2024-01-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-21",
                                "endDate": "2024-01-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-27",
                                "endDate": "2024-01-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-01-28",
                                "endDate": "2024-01-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-03",
                                "endDate": "2024-02-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-04",
                                "endDate": "2024-02-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-10",
                                "endDate": "2024-02-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-11",
                                "endDate": "2024-02-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-17",
                                "endDate": "2024-02-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-18",
                                "endDate": "2024-02-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-24",
                                "endDate": "2024-02-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-02-25",
                                "endDate": "2024-02-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-02",
                                "endDate": "2024-03-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-03",
                                "endDate": "2024-03-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-09",
                                "endDate": "2024-03-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-10",
                                "endDate": "2024-03-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-16",
                                "endDate": "2024-03-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-17",
                                "endDate": "2024-03-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-23",
                                "endDate": "2024-03-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-24",
                                "endDate": "2024-03-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-30",
                                "endDate": "2024-03-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-03-31",
                                "endDate": "2024-04-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-06",
                                "endDate": "2024-04-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-07",
                                "endDate": "2024-04-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-13",
                                "endDate": "2024-04-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-14",
                                "endDate": "2024-04-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-20",
                                "endDate": "2024-04-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-21",
                                "endDate": "2024-04-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-27",
                                "endDate": "2024-04-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-04-28",
                                "endDate": "2024-04-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-04",
                                "endDate": "2024-05-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-05",
                                "endDate": "2024-05-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-11",
                                "endDate": "2024-05-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-12",
                                "endDate": "2024-05-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-18",
                                "endDate": "2024-05-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-19",
                                "endDate": "2024-05-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-25",
                                "endDate": "2024-05-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-05-26",
                                "endDate": "2024-05-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-01",
                                "endDate": "2024-06-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-02",
                                "endDate": "2024-06-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-08",
                                "endDate": "2024-06-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-09",
                                "endDate": "2024-06-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-15",
                                "endDate": "2024-06-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-16",
                                "endDate": "2024-06-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-22",
                                "endDate": "2024-06-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-23",
                                "endDate": "2024-06-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-29",
                                "endDate": "2024-06-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-06-30",
                                "endDate": "2024-07-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-06",
                                "endDate": "2024-07-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-07",
                                "endDate": "2024-07-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-13",
                                "endDate": "2024-07-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-14",
                                "endDate": "2024-07-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-20",
                                "endDate": "2024-07-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-21",
                                "endDate": "2024-07-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-27",
                                "endDate": "2024-07-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-07-28",
                                "endDate": "2024-07-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-03",
                                "endDate": "2024-08-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-04",
                                "endDate": "2024-08-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-10",
                                "endDate": "2024-08-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-11",
                                "endDate": "2024-08-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-17",
                                "endDate": "2024-08-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-18",
                                "endDate": "2024-08-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-24",
                                "endDate": "2024-08-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-25",
                                "endDate": "2024-08-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-08-31",
                                "endDate": "2024-09-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-01",
                                "endDate": "2024-09-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-07",
                                "endDate": "2024-09-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-08",
                                "endDate": "2024-09-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-14",
                                "endDate": "2024-09-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-15",
                                "endDate": "2024-09-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-21",
                                "endDate": "2024-09-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-22",
                                "endDate": "2024-09-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-28",
                                "endDate": "2024-09-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-09-29",
                                "endDate": "2024-09-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-05",
                                "endDate": "2024-10-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-06",
                                "endDate": "2024-10-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-12",
                                "endDate": "2024-10-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-13",
                                "endDate": "2024-10-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-19",
                                "endDate": "2024-10-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-20",
                                "endDate": "2024-10-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-26",
                                "endDate": "2024-10-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-10-27",
                                "endDate": "2024-10-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-02",
                                "endDate": "2024-11-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-03",
                                "endDate": "2024-11-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-09",
                                "endDate": "2024-11-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-10",
                                "endDate": "2024-11-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-16",
                                "endDate": "2024-11-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-17",
                                "endDate": "2024-11-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-23",
                                "endDate": "2024-11-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-24",
                                "endDate": "2024-11-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-11-30",
                                "endDate": "2024-12-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-01",
                                "endDate": "2024-12-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-07",
                                "endDate": "2024-12-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-08",
                                "endDate": "2024-12-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-14",
                                "endDate": "2024-12-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-15",
                                "endDate": "2024-12-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-21",
                                "endDate": "2024-12-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-22",
                                "endDate": "2024-12-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-28",
                                "endDate": "2024-12-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2024-12-29",
                                "endDate": "2024-12-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-04",
                                "endDate": "2025-01-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-05",
                                "endDate": "2025-01-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-11",
                                "endDate": "2025-01-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-12",
                                "endDate": "2025-01-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-18",
                                "endDate": "2025-01-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-19",
                                "endDate": "2025-01-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-25",
                                "endDate": "2025-01-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-01-26",
                                "endDate": "2025-01-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-01",
                                "endDate": "2025-02-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-02",
                                "endDate": "2025-02-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-08",
                                "endDate": "2025-02-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-09",
                                "endDate": "2025-02-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-15",
                                "endDate": "2025-02-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-16",
                                "endDate": "2025-02-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-22",
                                "endDate": "2025-02-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-02-23",
                                "endDate": "2025-02-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-01",
                                "endDate": "2025-03-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-02",
                                "endDate": "2025-03-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-08",
                                "endDate": "2025-03-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-09",
                                "endDate": "2025-03-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-15",
                                "endDate": "2025-03-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-16",
                                "endDate": "2025-03-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-22",
                                "endDate": "2025-03-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-23",
                                "endDate": "2025-03-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-29",
                                "endDate": "2025-03-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-03-30",
                                "endDate": "2025-03-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-05",
                                "endDate": "2025-04-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-06",
                                "endDate": "2025-04-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-12",
                                "endDate": "2025-04-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-13",
                                "endDate": "2025-04-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-19",
                                "endDate": "2025-04-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-20",
                                "endDate": "2025-04-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-26",
                                "endDate": "2025-04-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-04-27",
                                "endDate": "2025-04-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-03",
                                "endDate": "2025-05-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-04",
                                "endDate": "2025-05-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-10",
                                "endDate": "2025-05-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-11",
                                "endDate": "2025-05-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-17",
                                "endDate": "2025-05-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-18",
                                "endDate": "2025-05-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-24",
                                "endDate": "2025-05-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-25",
                                "endDate": "2025-05-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-05-31",
                                "endDate": "2025-06-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-01",
                                "endDate": "2025-06-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-07",
                                "endDate": "2025-06-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-08",
                                "endDate": "2025-06-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-14",
                                "endDate": "2025-06-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-15",
                                "endDate": "2025-06-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-21",
                                "endDate": "2025-06-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-22",
                                "endDate": "2025-06-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-28",
                                "endDate": "2025-06-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-06-29",
                                "endDate": "2025-06-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-05",
                                "endDate": "2025-07-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-06",
                                "endDate": "2025-07-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-12",
                                "endDate": "2025-07-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-13",
                                "endDate": "2025-07-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-19",
                                "endDate": "2025-07-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-20",
                                "endDate": "2025-07-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-26",
                                "endDate": "2025-07-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-07-27",
                                "endDate": "2025-07-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-02",
                                "endDate": "2025-08-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-03",
                                "endDate": "2025-08-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-09",
                                "endDate": "2025-08-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-10",
                                "endDate": "2025-08-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-16",
                                "endDate": "2025-08-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-17",
                                "endDate": "2025-08-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-23",
                                "endDate": "2025-08-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-24",
                                "endDate": "2025-08-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-30",
                                "endDate": "2025-08-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-08-31",
                                "endDate": "2025-09-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-06",
                                "endDate": "2025-09-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-07",
                                "endDate": "2025-09-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-13",
                                "endDate": "2025-09-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-14",
                                "endDate": "2025-09-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-20",
                                "endDate": "2025-09-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-21",
                                "endDate": "2025-09-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-27",
                                "endDate": "2025-09-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-09-28",
                                "endDate": "2025-09-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-04",
                                "endDate": "2025-10-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-05",
                                "endDate": "2025-10-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-11",
                                "endDate": "2025-10-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-12",
                                "endDate": "2025-10-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-18",
                                "endDate": "2025-10-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-19",
                                "endDate": "2025-10-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-25",
                                "endDate": "2025-10-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-10-26",
                                "endDate": "2025-10-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-01",
                                "endDate": "2025-11-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-02",
                                "endDate": "2025-11-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-08",
                                "endDate": "2025-11-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-09",
                                "endDate": "2025-11-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-15",
                                "endDate": "2025-11-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-16",
                                "endDate": "2025-11-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-22",
                                "endDate": "2025-11-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-23",
                                "endDate": "2025-11-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-29",
                                "endDate": "2025-11-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-11-30",
                                "endDate": "2025-12-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-06",
                                "endDate": "2025-12-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-07",
                                "endDate": "2025-12-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-13",
                                "endDate": "2025-12-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-14",
                                "endDate": "2025-12-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-20",
                                "endDate": "2025-12-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-21",
                                "endDate": "2025-12-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-27",
                                "endDate": "2025-12-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2025-12-28",
                                "endDate": "2025-12-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-03",
                                "endDate": "2026-01-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-04",
                                "endDate": "2026-01-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-10",
                                "endDate": "2026-01-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-11",
                                "endDate": "2026-01-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-17",
                                "endDate": "2026-01-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-18",
                                "endDate": "2026-01-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-24",
                                "endDate": "2026-01-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-25",
                                "endDate": "2026-01-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-01-31",
                                "endDate": "2026-02-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-01",
                                "endDate": "2026-02-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-07",
                                "endDate": "2026-02-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-08",
                                "endDate": "2026-02-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-14",
                                "endDate": "2026-02-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-15",
                                "endDate": "2026-02-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-21",
                                "endDate": "2026-02-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-22",
                                "endDate": "2026-02-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-02-28",
                                "endDate": "2026-03-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-01",
                                "endDate": "2026-03-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-07",
                                "endDate": "2026-03-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-08",
                                "endDate": "2026-03-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-14",
                                "endDate": "2026-03-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-15",
                                "endDate": "2026-03-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-21",
                                "endDate": "2026-03-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-22",
                                "endDate": "2026-03-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-28",
                                "endDate": "2026-03-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-03-29",
                                "endDate": "2026-03-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-04",
                                "endDate": "2026-04-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-05",
                                "endDate": "2026-04-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-11",
                                "endDate": "2026-04-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-12",
                                "endDate": "2026-04-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-18",
                                "endDate": "2026-04-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-19",
                                "endDate": "2026-04-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-25",
                                "endDate": "2026-04-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-04-26",
                                "endDate": "2026-04-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-02",
                                "endDate": "2026-05-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-03",
                                "endDate": "2026-05-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-09",
                                "endDate": "2026-05-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-10",
                                "endDate": "2026-05-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-16",
                                "endDate": "2026-05-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-17",
                                "endDate": "2026-05-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-23",
                                "endDate": "2026-05-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-24",
                                "endDate": "2026-05-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-30",
                                "endDate": "2026-05-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-05-31",
                                "endDate": "2026-06-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-06",
                                "endDate": "2026-06-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-07",
                                "endDate": "2026-06-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-13",
                                "endDate": "2026-06-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-14",
                                "endDate": "2026-06-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-20",
                                "endDate": "2026-06-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-21",
                                "endDate": "2026-06-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-27",
                                "endDate": "2026-06-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-06-28",
                                "endDate": "2026-06-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-04",
                                "endDate": "2026-07-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-05",
                                "endDate": "2026-07-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-11",
                                "endDate": "2026-07-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-12",
                                "endDate": "2026-07-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-18",
                                "endDate": "2026-07-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-19",
                                "endDate": "2026-07-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-25",
                                "endDate": "2026-07-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-07-26",
                                "endDate": "2026-07-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-01",
                                "endDate": "2026-08-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-02",
                                "endDate": "2026-08-03",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-08",
                                "endDate": "2026-08-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-09",
                                "endDate": "2026-08-10",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-15",
                                "endDate": "2026-08-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-16",
                                "endDate": "2026-08-17",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-22",
                                "endDate": "2026-08-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-23",
                                "endDate": "2026-08-24",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-29",
                                "endDate": "2026-08-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-08-30",
                                "endDate": "2026-08-31",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-05",
                                "endDate": "2026-09-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-06",
                                "endDate": "2026-09-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-12",
                                "endDate": "2026-09-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-13",
                                "endDate": "2026-09-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-19",
                                "endDate": "2026-09-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-20",
                                "endDate": "2026-09-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-26",
                                "endDate": "2026-09-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-09-27",
                                "endDate": "2026-09-28",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-03",
                                "endDate": "2026-10-04",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-04",
                                "endDate": "2026-10-05",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-10",
                                "endDate": "2026-10-11",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-11",
                                "endDate": "2026-10-12",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-17",
                                "endDate": "2026-10-18",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-18",
                                "endDate": "2026-10-19",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-24",
                                "endDate": "2026-10-25",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-25",
                                "endDate": "2026-10-26",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-10-31",
                                "endDate": "2026-11-01",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-01",
                                "endDate": "2026-11-02",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-07",
                                "endDate": "2026-11-08",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-08",
                                "endDate": "2026-11-09",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-14",
                                "endDate": "2026-11-15",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-15",
                                "endDate": "2026-11-16",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-21",
                                "endDate": "2026-11-22",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-22",
                                "endDate": "2026-11-23",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-28",
                                "endDate": "2026-11-29",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-11-29",
                                "endDate": "2026-11-30",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-05",
                                "endDate": "2026-12-06",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-06",
                                "endDate": "2026-12-07",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-12",
                                "endDate": "2026-12-13",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-13",
                                "endDate": "2026-12-14",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-19",
                                "endDate": "2026-12-20",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-20",
                                "endDate": "2026-12-21",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-26",
                                "endDate": "2026-12-27",
                                "isWorking": false
                            },
                            {
                                "startDate": "2026-12-27",
                                "endDate": "2026-12-28",
                                "isWorking": false
                            }
                        ]
                    }
                ]
            }


        );
    }
    changeGroupName() {
        console.log(this.gantt.columns.get('GroupId'))
        this.gantt.columns.get('GroupId').editor.store.removeAll()


        this.gantt.columns.get('GroupId').editor.store.add([{ 'id': '3a07d441-9080-9eea-db2b-d66858a34a0b', 'text': 'change' }])
        localStorage.setItem('data', JSON.stringify([{ 'id': '3a07d441-9080-9eea-db2b-d66858a34a0b', 'text': 'change' }]))
        // this.gantt.refreshCell();
        this.gantt.refreshRows()
    }
    close() {
        this.isShowCommentsOut = false
    }
    pickMSChange(files) {

        (this.gantt.widgetMap as any).sendBtn.disabled = files.length === 0;
    }
    pickMSClear() {
        (this.gantt.widgetMap as any).sendBtn.disable();
    }

    ngOnInit() {

    }
}
