/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-05-18 18:17:27
 * @LastEditors: shimnx
 * @LastEditTime: 2022-12-21 13:27:56
 */
/**
 * Status Column implementation file
 */

// Bryntum umd lite bundle comes without polyfills to support Angular's zone.js
import { Column, ColumnStore } from '@bryntum/gantt/gantt.lite.umd.js';
import { DateHelper } from '@bryntum/gantt/gantt.lite.umd.js';

/**
 * @module StatusColumn
 */

/**
 * A column showing the status of a task
 *
 * @extends Gantt/column/Column
 * @classType statuscolumn
 */
export default class FinishColumn extends Column {

    static get $name() {
        return 'FinishColumn';
    }

    static get type() {
        return 'finishcolumn';
    }

    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            field: 'schaefflerEndDate',
            text: 'Finish Date',
            width: '150px',
            editor: {
                type: 'dateField',
                // format : 'YYYY-MM-DD',
                // disabled:(data)=>{
                //     console.log(data)
                //     // return false
                // },
                listeners: {
                    change(data) {

                        if (data.value) {
                            // console.log()
                            // if (moment(new Date(data.value.getTime())).diff(moment(data.source.eventRecord.constraintDate), 'days') > -1) {
                            //     data.source.eventRecord.endDate = DateHelper.format(new Date(data.value.getTime() + 24 * 3600000), 'MMM D, YYYY');
                            // } else {

                            // }

                        }

                        // (window as any).GanttComponent.component.SaveGanttChange(this.project.inlineData)
                    }
                },
            },
            htmlEncode: false,

        };
    }

    //endregion

    renderer({ record, ...data }) {
        // console.log(record.schaefflerEndDate)
        // const finish = DateHelper.format(new Date(record.schaefflerEndDate), 'MMM DD, YYYY');
        const finish = record.endDate ? DateHelper.format(new Date(record.endDate.getTime() - 24 * 3600000), 'MMM DD, YYYY') : DateHelper.format(new Date(record.schaefflerEndDate), 'MMM DD, YYYY');


        return finish ? {
            tag: 'i',
            className: `b-fa ${finish}`,
            html: finish
        } : '';
    }

}

ColumnStore.registerColumnType(FinishColumn);
