/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2022-11-15 16:46:37
 * @LastEditors: shimnx
 * @LastEditTime: 2022-12-08 11:08:35
 */
import { TaskModel } from '@bryntum/gantt/gantt.lite.umd.js';


export default class Task extends TaskModel {

    static get fields() {
        return [
            // add new myEndDate field
            { name : 'myEndDate', type : 'date' }
        ];
    }

    get myEndDate() {
        let result = this.endDate;

        if (result) {
            // return original endDate plus 24 hours
            result = new Date(result.getTime() + 24 * 3600000);
        }

        return result;
    }

    set myEndDate(value) {
        if (value) {
            // write to original endDate value minus 24 hours
            value = new Date(value.getTime() - 24 * 3600000);
        }

        this.endDate = value;
    }
}

